Yate: SocketRef Class Reference

Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SocketRef Class Reference

RefObject holding a Socket pointer. More...

`#include <yateclass.h>`

Inheritance diagram for SocketRef:

## Public Member Functions
| SocketRef (Socket **socket)
| SocketRef (Socket *&socket)
virtual void * | getObject (const String &name) const
Public Member Functions inherited from RefObject
| RefObject ()
virtual | ~RefObject ()
virtual bool | alive () const
bool | ref ()
bool | deref ()
int | refcount () const
virtual void | destruct ()
Public Member Functions inherited from GenObject
| GenObject ()
virtual | ~GenObject ()
virtual const String & | toString () const
virtual const String & | traceId () const
NamedCounter * | getObjCounter () const
NamedCounter * | setObjCounter (NamedCounter *counter)

## Additional Inherited Members
Static Public Member Functions inherited from RefObject
static bool | alive (const RefObject *obj)
static bool | efficientIncDec ()
Static Public Member Functions inherited from GenObject
static void * | getObject (const String &name, const GenObject *obj)
static bool | getObjCounting ()
static void | setObjCounting (bool enable)
static NamedCounter * | getObjCounter (const String &name, bool create=true)
static ObjList & | getObjCounters ()
Protected Member Functions inherited from RefObject
virtual void | zeroRefs ()
bool | resurrect ()
virtual void | destroyed ()

## Detailed Description

RefObject holding a Socket pointer.

Helper class for insering a Socket pointer as a RefObject in a Message

## Constructor & Destructor Documentation

SocketRef | ( | Socket ** | socket | ) |
| inline

Constructor from pointer

Parameters

  socket | Pointer to the Socket* to hold

SocketRef | ( | Socket *& | socket | ) |
| inline

Constructor from reference

Parameters

  socket | Reference to the Socket* to hold

## Member Function Documentation

virtual void* getObject | ( | const String & | name | ) | const
| inlinevirtual

Get a pointer to a derived class given that class name

Parameters

  name | Name of the class we are asking for

Returns
  Pointer to the requested class or NULL if this object doesn't implement it

Reimplemented from RefObject.

References RefObject::getObject(), and TelEngine::YATOM().

The documentation for this class was generated from the following file:

- yateclass.h